summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-08-23 11:17:05 +0100
committerV3n3RiX <venerix@koprulu.sector>2024-08-23 11:17:05 +0100
commit734c0b98b5e4839eb033e2ee2b8b89bda2568027 (patch)
treeb66c9a6c754f07e136925258c0130e9d58bd40a7
parent60003dc204f21e0f86d744dcf2f49b3fbe62bc92 (diff)
sys-boot/etcher : version bump
-rw-r--r--eclass/bintron-r1.eclass174
-rw-r--r--metadata/md5-cache/sys-boot/etcher-1.18.4-r214
-rw-r--r--metadata/md5-cache/sys-boot/etcher-1.19.2116
-rw-r--r--metadata/pkg_desc_index2
-rw-r--r--sys-boot/etcher/Manifest2
-rw-r--r--sys-boot/etcher/etcher-1.18.4-r2.ebuild48
-rw-r--r--sys-boot/etcher/etcher-1.19.21.ebuild38
-rw-r--r--sys-boot/etcher/files/balenaEtcher.desktop10
8 files changed, 230 insertions, 74 deletions
diff --git a/eclass/bintron-r1.eclass b/eclass/bintron-r1.eclass
new file mode 100644
index 00000000..76c8ccc0
--- /dev/null
+++ b/eclass/bintron-r1.eclass
@@ -0,0 +1,174 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: bintron-r1.eclass
+# @MAINTAINER:
+# src_prepare group
+# @AUTHOR:
+# Alfred Wingate <parona@protonmail.com>
+# @SUPPORTED_EAPIS: 8
+# @PROVIDES: chromium-2 xdg
+# @BLURB: Common configuration eclass for binary packages built with Electron
+# @DESCRIPTION:
+# This eclass is used in Electron packages ebuilds
+
+case ${EAPI} in
+ 8) ;;
+ *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
+esac
+
+if [[ ! ${_BINTRON_R1_ECLASS} ]]; then
+_BINTRON_R1_ECLASS=1
+
+inherit chromium-2 xdg
+
+IUSE="system-ffmpeg"
+
+# musl support?
+RDEPEND="
+ app-accessibility/at-spi2-core:2
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/mesa
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/glibc
+ x11-libs/cairo
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libdrm
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ system-ffmpeg? ( >=media-video/ffmpeg-4.3[chromium] )
+"
+BDEPEND="
+ app-alternatives/gzip
+ dev-util/patchelf
+"
+IDEPEND="
+ sys-apps/file
+ sys-apps/findutils
+"
+
+# @VARIABLE: QA_PREBUILT
+# @INTERNAL
+# @DESCRIPTION:
+# QA variable
+
+# @VARIABLE: QA_PRESTRIPPED
+# @INTERNAL
+# @DESCRIPTION:
+# QA variable
+
+# The package will be already compiled,
+# also most likely the package will be pre-stripped too.
+QA_PREBUILT='*'
+QA_PRESTRIPPED='*'
+
+# @ECLASS_VARIABLE: BINTRON_NAME
+# @PRE_INHERIT
+# @DESCRIPTION:
+# Name of the package
+: ${BINTRON_NAME:="${PN}"}
+
+# @ECLASS_VARIABLE: BINTRON_HOME
+# @DESCRIPTION:
+# Path where the package contents will we installed.
+: ${BINTRON_HOME:="/opt/${BINTRON_NAME}/"}
+
+# @ECLASS_VARIABLE: BINTRON_EXECUTABLES
+# @DESCRIPTION:
+# List of executable symlinks to create
+: ${BINTRON_EXECUTABLES:="${BINTRON_NAME}"}
+
+# @FUNCTION: bintron-r1_pkg_pretend
+# @DESCRIPTION:
+# Runs SUID and User namespace checks
+bintron-r1_pkg_pretend() {
+ # see https://github.com/electron/electron/issues/17972
+ chromium_suid_sandbox_check_kernel_config
+}
+
+# @FUNCTION: bintron-r1_src_prepare
+# @DESCRIPTION:
+# Remove pak files.
+bintron-r1_src_prepare() {
+ default
+
+ pushd locales >/dev/null || die "location change for language cleanup failed"
+ chromium_remove_language_paks
+ popd >/dev/null || die "location reset for language cleanup failed"
+
+ if [[ -d "${WORKDIR}/usr/share/doc/${BINTRON_NAME}" ]]; then
+ mv "${WORKDIR}/usr/share/doc/${BINTRON_NAME}/" "${WORKDIR}/usr/share/doc/${PF}" || die
+ fi
+
+ if [[ -e "${WORKDIR}/usr/share/doc/${PF}/changelog.gz" ]]; then
+ pushd "${WORKDIR}/usr/share/doc/${PF}" >/dev/null || die
+ unpack "${WORKDIR}"/usr/share/doc/${PF}/changelog.*
+ rm "${WORKDIR}"/usr/share/doc/${PF}/changelog.*
+ popd >/dev/null || die
+ fi
+
+ if use system-ffmpeg; then
+ rm libffmpeg.so || die
+
+ local file type
+ for file in $(find .); do
+ type=$(file -b --mime-type "${file}")
+ case ${type} in
+ application/x-sharedlib|application/x-executable|application/x-pie-executable)
+ patchelf --add-rpath /usr/$(get_libdir)/chromium ${file} || die
+ ;;
+ esac
+ done
+ fi
+}
+
+# @FUNCTION: bintron-r1_src_install
+# @DESCRIPTION:
+# Install
+bintron-r1_src_install() {
+ insinto "${BINTRON_HOME}"
+
+ doins -r "${S}"/*
+
+ local file type
+ for file in $(find . -type f); do
+
+ # node_modules *shouldn't* have anything which requires executable permissions
+ if [[ ${file} =~ /node_modules/ ]]; then
+ continue
+ fi
+
+ type=$(file -b --mime-type "${file}")
+
+ case ${type} in
+ application/x-sharedlib|application/x-executable|application/x-pie-executable|text/x-shellscript)
+ fperms 0755 "${BINTRON_HOME}${file#./}"
+ ;;
+ esac
+ done
+
+ for executable in ${BINTRON_EXECUTABLES[@]}; do
+ dosym "${EPREFIX}${BINTRON_HOME%/}/${executable}" /usr/bin/${executable}
+ done
+
+ if [[ -d ${WORKDIR}/usr/share ]]; then
+ insinto /usr
+ doins -r "${WORKDIR}"/usr/share
+ fi
+}
+
+fi
+
+EXPORT_FUNCTIONS pkg_pretend src_prepare src_install
diff --git a/metadata/md5-cache/sys-boot/etcher-1.18.4-r2 b/metadata/md5-cache/sys-boot/etcher-1.18.4-r2
deleted file mode 100644
index 14cdd517..00000000
--- a/metadata/md5-cache/sys-boot/etcher-1.18.4-r2
+++ /dev/null
@@ -1,14 +0,0 @@
-DEFINED_PHASES=install postinst postrm unpack
-DEPEND=dev-libs/nss media-libs/alsa-lib sys-apps/lsb-release x11-libs/gtk+:2 x11-libs/libXtst x11-libs/libnotify
-DESCRIPTION=Flash OS images to SD cards & USB drives, safely and easily.
-EAPI=8
-HOMEPAGE=https://etcher.io/
-INHERIT=desktop xdg-utils
-KEYWORDS=amd64 x86
-LICENSE=GPL2
-RDEPEND=dev-libs/nss media-libs/alsa-lib sys-apps/lsb-release x11-libs/gtk+:2 x11-libs/libXtst x11-libs/libnotify
-RESTRICT=mirror strip
-SLOT=0
-SRC_URI=https://github.com/balena-io/etcher/releases/download/v1.18.4/balenaEtcher-1.18.4-x64.AppImage
-_eclasses_=desktop 021728fdc1b03b36357dbc89489e0f0d xdg-utils baea6080dd821f5562d715887954c9d3
-_md5_=0e6a50963703163e0a4575b563377e15
diff --git a/metadata/md5-cache/sys-boot/etcher-1.19.21 b/metadata/md5-cache/sys-boot/etcher-1.19.21
new file mode 100644
index 00000000..707e1367
--- /dev/null
+++ b/metadata/md5-cache/sys-boot/etcher-1.19.21
@@ -0,0 +1,16 @@
+BDEPEND=app-alternatives/gzip dev-util/patchelf
+DEFINED_PHASES=install postinst postrm preinst prepare pretend setup unpack
+DESCRIPTION=Flash OS images to SD cards & USB drives, safely and easily.
+EAPI=8
+HOMEPAGE=https://etcher.balena.io
+IDEPEND=dev-util/desktop-file-utils x11-misc/shared-mime-info sys-apps/file sys-apps/findutils
+INHERIT=bintron-r1 unpacker
+IUSE=+l10n_af +l10n_am +l10n_ar +l10n_bg +l10n_bn +l10n_ca +l10n_cs +l10n_da +l10n_de +l10n_el +l10n_en-GB +l10n_en-US +l10n_es-419 +l10n_es +l10n_et +l10n_fa +l10n_fi +l10n_fil +l10n_fr +l10n_gu +l10n_he +l10n_hi +l10n_hr +l10n_hu +l10n_id +l10n_it +l10n_ja +l10n_kn +l10n_ko +l10n_lt +l10n_lv +l10n_ml +l10n_mr +l10n_ms +l10n_nb +l10n_nl +l10n_pl +l10n_pt-BR +l10n_pt-PT +l10n_ro +l10n_ru +l10n_sk +l10n_sl +l10n_sr +l10n_sv +l10n_sw +l10n_ta +l10n_te +l10n_th +l10n_tr +l10n_uk +l10n_ur +l10n_vi +l10n_zh-CN +l10n_zh-TW system-ffmpeg
+KEYWORDS=-* ~amd64
+LICENSE=Apache-2.0
+RDEPEND=virtual/libudev app-accessibility/at-spi2-core:2 dev-libs/expat dev-libs/glib:2 dev-libs/nspr dev-libs/nss media-libs/alsa-lib media-libs/mesa net-print/cups sys-apps/dbus sys-libs/glibc x11-libs/cairo x11-libs/gtk+:3 x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXdamage x11-libs/libXext x11-libs/libXfixes x11-libs/libXrandr x11-libs/libdrm x11-libs/libxcb x11-libs/libxkbcommon x11-libs/pango system-ffmpeg? ( >=media-video/ffmpeg-4.3[chromium] )
+RESTRICT=mirror test
+SLOT=0
+SRC_URI=https://github.com/balena-io/etcher/releases/download/v1.19.21/balena-etcher_1.19.21_amd64.deb
+_eclasses_=bintron-r1 06e7a11ae53d672e47f0d6a907a82e5b chromium-2 93690d770dc2e27deaa89794e2f9fe3f linux-info ea4122ba1d8791a12b78e53f9510a2e3 multilib c19072c3cd7ac5cb21de013f7e9832e0 multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe toolchain-funcs 333970c740aa7b1a92e4fcdc52f612bd unpacker fb4b84181244b3b9990fa0bf40232dd2 xdg 4a14c5c24f121e7da66e5aab4a168c6e xdg-utils baea6080dd821f5562d715887954c9d3
+_md5_=6b4d5786a25c38a9d1379e5630555d77
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 00790a36..b62cbb28 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -50,7 +50,7 @@ sys-apps/openrc 0.53: OpenRC manages the services, startup and shutdown of a hos
sys-auth/polkit-qt 0.200.0: PolicyKit Qt API wrapper library (meta package)
sys-auth/polkit-qt5 0.200.0: Qt wrapper around polkit-1 client libraries
sys-auth/polkit-qt6 0.200.0: Qt wrapper around polkit-1 client libraries
-sys-boot/etcher 1.18.4-r2: Flash OS images to SD cards & USB drives, safely and easily.
+sys-boot/etcher 1.19.21: Flash OS images to SD cards & USB drives, safely and easily.
sys-boot/grub 2.04-r15: GNU GRUB boot loader
sys-boot/os-prober 1.77-r10: Utility to detect other OSs on a set of drives
sys-boot/plymouth 0.9.4-r11: Graphical boot animation (splash) and logger
diff --git a/sys-boot/etcher/Manifest b/sys-boot/etcher/Manifest
index cb6dd8e0..f9d0c6cf 100644
--- a/sys-boot/etcher/Manifest
+++ b/sys-boot/etcher/Manifest
@@ -1 +1 @@
-DIST balenaEtcher-1.18.4-x64.AppImage 99670655 BLAKE2B 1459743b180afbb9e57d32b9b5e808cf875378b0ec93f5af02a04c1b270ebbea46a240ff0a76afa984ab43965cb630198b845f331fda07ca90e962f18c706880 SHA512 dd349cbe15be7df164cf0423c720bf800fd26fbe56532ba3cb743879ff638a082f1cf2281c444131b1f270b9d5a3f1ced91a1b91747569eecdce603356c46a60
+DIST balena-etcher_1.19.21_amd64.deb 110310096 BLAKE2B 796cafc828029caddc0b0b2258712cf2656628366f268689e3d33ea9d721fd17560f3f3364e80c09c866af237459b839f505401e3045079b029244e703e575d7 SHA512 9b553544e26c392ae83a9bba4a5ee81fd85e1bdda89765bd06367563cab2e94a69fdf209a8e2da84dc87413c351b0783ed42c8fa7b402e62369c55e2d132faf9
diff --git a/sys-boot/etcher/etcher-1.18.4-r2.ebuild b/sys-boot/etcher/etcher-1.18.4-r2.ebuild
deleted file mode 100644
index eda797cd..00000000
--- a/sys-boot/etcher/etcher-1.18.4-r2.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=8
-
-MY_PN="balenaEtcher"
-
-inherit desktop xdg-utils
-
-DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
-HOMEPAGE="https://etcher.io/"
-SRC_URI="https://github.com/balena-io/${PN}/releases/download/v${PV}/${MY_PN}-${PV}-x64.AppImage"
-
-LICENSE="GPL2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND="dev-libs/nss
- media-libs/alsa-lib
- sys-apps/lsb-release
- x11-libs/gtk+:2
- x11-libs/libXtst
- x11-libs/libnotify"
-RDEPEND="${DEPEND}"
-
-RESTRICT="mirror strip"
-
-S="${DISTDIR}"
-
-src_unpack() {
- :
-}
-
-src_install() {
- newbin ${MY_PN}-${PV}-x64.AppImage ${MY_PN}
- domenu ${FILESDIR}/${MY_PN}.desktop
-}
-
-pkg_postinst() {
- xdg_desktop_database_update
-}
-
-pkg_postrm() {
- xdg_desktop_database_update
-}
-
diff --git a/sys-boot/etcher/etcher-1.19.21.ebuild b/sys-boot/etcher/etcher-1.19.21.ebuild
new file mode 100644
index 00000000..f35f8d9b
--- /dev/null
+++ b/sys-boot/etcher/etcher-1.19.21.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+BINTRON_NAME="balena-etcher"
+BINTRON_HOME="/opt/balenaEtcher/"
+
+CHROMIUM_LANGS="
+ af am ar bg bn ca cs da de el en-GB en-US es-419 es et fa fi fil fr gu he hi hr hu id it ja kn ko lt
+ lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk ur vi zh-CN zh-TW
+"
+
+inherit bintron-r1 unpacker
+
+DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
+HOMEPAGE="https://etcher.balena.io"
+SRC_URI="https://github.com/balena-io/etcher/releases/download/v${PV}/balena-etcher_${PV}_amd64.deb"
+S="${WORKDIR}/usr/lib/balena-etcher"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RESTRICT="mirror test"
+
+RDEPEND="
+ virtual/libudev
+"
+
+QA_PREBUILT="/opt/balenaEtcher/*"
+
+src_prepare() {
+ bintron-r1_src_prepare
+
+ # Weird symlink
+ rm balenaEtcher || die
+}
diff --git a/sys-boot/etcher/files/balenaEtcher.desktop b/sys-boot/etcher/files/balenaEtcher.desktop
deleted file mode 100644
index b839fc2e..00000000
--- a/sys-boot/etcher/files/balenaEtcher.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Name=balenaEtcher
-Exec=balenaEtcher %U
-Terminal=false
-Type=Application
-Icon=etcher-electron
-StartupWMClass=balenaEtcher
-Comment=Flash OS images to SD cards and USB drives, safely and easily.
-MimeType=x-scheme-handler/etcher;
-Categories=System;